# Maker PI RP 2040 CircuitPython code
# Floor Robot basics
# Tony Goodhew 30 July 2021
import board
import simpleio
import time
import pwmio
from adafruit_motor import servo, motor

# Initialize DC motors
m1a = pwmio.PWMOut(board.GP8, frequency=50)
m1b = pwmio.PWMOut(board.GP9, frequency=50)
motor1 = motor.DCMotor(m1a, m1b)
m2a = pwmio.PWMOut(board.GP10, frequency=50)
m2b = pwmio.PWMOut(board.GP11, frequency=50)
motor2 = motor.DCMotor(m2a, m2b)

def stop():
    motor1.throttle = 0
    motor2.throttle = 0
def forward(speed):
    motor1.throttle =-speed
    motor2.throttle =-speed
def backwards(speed):
    motor1.throttle = speed
    motor2.throttle = speed
def lspin(speed):
    motor1.throttle =speed
    motor2.throttle =-speed
def rspin(speed):
    motor1.throttle =-speed
    motor2.throttle = speed
def lturn(speed):
    motor1.throttle = 0
    motor2.throttle = -speed
def rturn(speed):
    motor1.throttle =-speed
    motor2.throttle = 0

print("Starting")
forward(0.5)
time.sleep(2.5)
stop()
backwards(0.5)
time.sleep(2)
stop()
rspin(0.5)
time.sleep(2)
stop()
lspin(0.5)
time.sleep(2)
stop()
lturn(0.5)
time.sleep(2)
stop()
rturn(0.5)
time.sleep(2)
stop()
